{ AMReminder.p -- Main }
{ Created 11/25/91 11:30 PM by AppMaker }

program AMReminder;
{$I-}

uses
	Globals, ResourceDefs, EventLoop, FileM, Miscellany;

var
	finderMessage: integer;
	nrDocs: integer;

{----------}
procedure PrintDocuments;
	begin
		Acknowledge(CantPrintID);
	end; {PrintDocuments}

{----------}
procedure OpenDocuments;
	var
		N: integer;
		nrOpened: integer;
		docInfo: AppFile;
	begin
		nrOpened := 0;
		for N := 1 to nrDocs do begin
			GetAppFiles(N, docInfo);
			with docInfo do begin
				if OkToOpen(fType) then begin
					OpenDoc(fName, vRefNum);
					nrOpened := nrOpened + 1;
				end
				else begin
					ParamText(fName, '', '', '');
					Acknowledge(WrongTypeID);
				end;
			end; {with}
			ClrAppFiles(N);
		end; {for}
		if nrOpened = 0 then begin
			OpenApp;
		end;
	end; {OpenDocuments}

{----------}
begin {AMReminder}
	Initialize;
	CountAppFiles(finderMessage, nrDocs);
	if nrDocs > 0 then begin
		if finderMessage = AppPrint then begin
			PrintDocuments;
		end
		else begin
			OpenDocuments;
			MainLoop;
		end;
	end
	else begin
		if sysConfig.hasAppleEvents then begin
			{wait for OApp, ODoc, or PDoc AppleEvent}
		end
		else begin
			OpenApp;
		end;
		MainLoop;
	end;
end. {AMReminder}